Ellipsis APIReferenceAnalytics

Get Analytics Metrics

Return the customer's PR/review analytics metrics — the same data as the analytics dashboard. Windowing: pass explicit start/end, or days (default: the last 30 days). account_type in all|user|bot scopes the authors (bot = the apps/agents). Available to all credential types: the responses expose the customer's own GitHub PR/review activity, no secrets.

GET
/v1/analytics/metrics

Return the customer's PR/review analytics metrics — the same data as the analytics dashboard.

Windowing: pass explicit start/end, or days (default: the last 30 days). account_type in all|user|bot scopes the authors (bot = the apps/agents). Available to all credential types: the responses expose the customer's own GitHub PR/review activity, no secrets.

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

days?integer|null
start?|null
end?|null
repo?array<string>|

Filter to repositories by "owner/name".

author?array<string>|

Filter by PR-author login(s).

account_type?Account Type
Default"all"
status?array<string>|

Filter by parent-PR status (open|draft|merged|closed).

Header Parameters

user-agent?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/analytics/metrics"
{  "available_authors": [    {      "login": "string",      "prs": 0    }  ],  "available_repos": [    {      "prs": 0,      "repo_full_name": "string"    }  ],  "contributors": [    {      "additions": 0,      "ai_attributed_prs": 0,      "avatar_url": "string",      "deletions": 0,      "login": "string",      "prs_merged": 0,      "reviews": 0    }  ],  "repositories": [    {      "active_contributors": 0,      "additions": 0,      "ai_attributed_prs": 0,      "deletions": 0,      "prs_merged": 0,      "repo_full_name": "string",      "reviews": 0    }  ],  "reviewers": [    {      "approved": 0,      "avatar_url": "string",      "changes_requested": 0,      "comments": 0,      "lines_reviewed": 0,      "login": "string",      "reviews": 0    }  ],  "series": [    {      "active_contributors": 0,      "additions": 0,      "approved": 0,      "changes_requested": 0,      "commented": 0,      "commits": 0,      "date": "string",      "deletions": 0,      "prs_closed": 0,      "prs_merged": 0,      "prs_opened": 0,      "review_comments": 0,      "reviews": 0,      "time_to_merge_hours": {        "p0": 0,        "p100": 0,        "p25": 0,        "p50": 0,        "p75": 0      }    }  ],  "totals": {    "active_contributors": 0,    "additions": 0,    "approved": 0,    "changes_requested": 0,    "commented": 0,    "commits": 0,    "deletions": 0,    "median_time_to_first_review_hours": 0,    "median_time_to_merge_hours": 0,    "open_prs": 0,    "prs_closed": 0,    "prs_merged": 0,    "prs_opened": 0,    "prs_reviewed": 0,    "review_comments": 0,    "reviews": 0  }}